<?php
$style = theme_get_setting('bealestreet_style');
if (!$style) {
  $style = 'blue';
}

if (isset($_COOKIE["bealestyle"])) {
  $style = $_COOKIE["bealestyle"];
}

drupal_add_css(path_to_theme() . '/style.css');
drupal_add_css(path_to_theme() . '/css/' . $style . '.css');

if (theme_get_setting('bealestreet_suckerfish')) {
  drupal_add_js(path_to_theme() . '/js/suckerfish.js');
  drupal_add_css(path_to_theme() . '/css/suckerfish_'  . $style . '.css');
}

if (theme_get_setting('bealestreet_iepngfix')) {
  drupal_add_js(path_to_theme() . '/js/jquery.pngFix.js');
}

if (theme_get_setting('bealestreet_uselocalcontent')) {
  $local_content = path_to_theme() . '/' . theme_get_setting('bealestreet_localcontentfile');
  if (file_exists($local_content)) {
    drupal_add_css($local_content);
  }
}

function bealestreet_preprocess_block(&$variables) {
  // In the header region visually hide block titles.
  if (theme_get_setting('bealestreet_suckerfish') && ($variables['block']->region == 'suckerfish')) {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  if ($variables['block']->region == 'header') {
    $variables['title_attributes_array']['class'][] = 'element-invisible';
  }
  $variables['title_attributes_array']['class'][] = 'title';
}
